local cannon		= {
		speed		= 50,
		scale		= 0.02,
		image		= love.graphics.newImage('images/cannon.png'),
		morte_sound	= love.audio.newSource('sounds/player_morte.wav'),
		draw = function( self )
			love.graphics.setColor( 255, 255, 255 )
			love.graphics.draw( self.image, self.x, self.y, 0,
				self.scale*screen.scale, self.scale*screen.scale,
				self.image:getWidth()/2,self.image:getHeight()/2 )
			end,
		update = function( self, tk )
			if love.keyboard.isDown( 'right' ) and self.x < screen.w-5 then
				self.x = self.x + self.speed * tk
				elseif love.keyboard.isDown( 'left' ) and self.x > 0 then
				self.x = self.x - self.speed * tk
				end
			end
		}
return cannon



