
local gr = love.graphics
local explosion = {
		image	= gr.newImage( 'images/explosion.png' ),
		qd		= {{0,0},{0,65},{0,130},{0,195},{0,260},{0,0}},
		quad	= {},
		tab		= {},
		scale	= .25,
		draw	= function(self)
			for i = #self.tab, 1, -1 do
				gr.setColor( 195, 195, 195 )
				gr.draw( self.image, self.quad[ self.tab[i].n ], self.tab[i].x, self.tab[i].y,0,self.scale,self.scale,self.image:getWidth()/2,self.image:getHeight()/2)
				self.tab[i].d = self.tab[i].d + 1
				if self.tab[i].d > 20 then
					self.tab[i].d = 0
					self.tab[i].n = self.tab[i].n + 1
					if self.tab[i].n > #self.quad then table.remove( self.tab, i ) end
					end
				end
			end,
		hit		= function( self,x,y )
			table.insert(self.tab,{ x = x + 132*self.scale, y = y + 132*self.scale, n = 1, d = 0})
			end
			}

		for i = 1, #explosion.qd do
			explosion.quad[i] = gr.newQuad( explosion.qd[i][1], explosion.qd[i][2], 64, 64,
								explosion.image:getWidth(),explosion.image:getHeight() )
			end

return explosion
