local game		= {
		start	= function( self, player, enemies, bullet )
			enemies.win		= false
			enemies.lose	= false
			enemies.number	= {}
			player.x 		= 70
			player.y		= 115
			enemies.wave	= 0
			bullet.number	= 0
			bullet.hit		= 0
			math.randomseed( os.time() )
			enemies.levels[1]={math.random(1,10)}
			bullet.bullets	= {}
			enemies:nextWave()
			end,
		loseText = function( bullet)
			love.graphics.setColor(200, 20, 20)
			love.graphics.printf("You Lose!", 0, screen.h*screen.scale/2-120, screen.w*screen.scale, "center")
			love.graphics.printf("number of shots = "..bullet.number, 0, screen.h*screen.scale/2-50, 2*screen.w*screen.scale, "center", 0, 0.5)
			love.graphics.printf("number of hits = "..bullet.hit, 0, screen.h*screen.scale/2, 2*screen.w*screen.scale, "center", 0, 0.5)
			love.graphics.printf("press space to restart", 0, screen.h*screen.scale/2+50, 2*screen.w*screen.scale, "center", 0, 0.5)
			end,
		winText = function( bullet )
			love.graphics.setColor(52, 255, 50)
			love.graphics.printf("You Win!", 0, screen.h*screen.scale/2-120, screen.w*screen.scale, "center")
			love.graphics.printf("number of shots = "..bullet.number, 0, screen.h*screen.scale/2-55, 2*screen.w*screen.scale, "center", 0, 0.5)
			love.graphics.printf("number of hits = "..bullet.hit, 0, screen.h*screen.scale/2-20, 2*screen.w*screen.scale, "center", 0, 0.5)
			love.graphics.printf(('Accuracy: %s%%'):format(math.floor(100*bullet.hit/bullet.number)),10, screen.h*screen.scale/2+10, 2*screen.w*screen.scale, "center", 0, 0.5)
			love.graphics.printf("press space to restart", 0, screen.h*screen.scale/2+50, 2*screen.w*screen.scale, "center", 0, 0.5)
			end,
		infoText = function()
			love.graphics.setColor(122, 150, 22)
			love.graphics.printf("Modog's Super Game", 0, screen.h*screen.scale/2-120, screen.w*screen.scale, "center")
			love.graphics.printf("press 'X' to fire, Arrows to move,EXC to exit", 0, screen.h*screen.scale/2-50, 2*screen.w*screen.scale, "center", 0, 0.5)
			love.graphics.printf("press space to start", 0, screen.h*screen.scale/2, 2*screen.w*screen.scale, "center", 0, 0.5)
			end,
		shotText = function( bullet )
			love.graphics.setColor( 155, 255, 55 )
			love.graphics.scale( 0.05 )
			love.graphics.print(('Accuracy: %s%%'):format(math.floor(100*bullet.hit/bullet.number)),10,50)
			end
			}
return game
