local bullet	= {
	cooldown	= 0,
	bullets		= {},
	delay		= 0.35,
	number		= 0,
	hit			= 0,
	sound		= love.audio.newSource( 'sounds/laser_shoot.wav' ),
	fire		= function( self, player )
			if self.cooldown <= 0 and #self.bullets < 4 then
				love.audio.play( self.sound )
				self.cooldown	= self.delay
				newBullet		= { x = player.x, y = player.y }
				self.number		= self.number + 1
				table.insert( self.bullets, newBullet )
				end
			end,
	update = function( self, tk, player )
			self.cooldown = self.cooldown - tk
			if love.keyboard.isDown( 'x','up' ) then self:fire( player ) end
			for _, bullet in pairs( self.bullets ) do
				if bullet.y < -10 then
					table.remove( self.bullets, i )
					end
				bullet.y = bullet.y - 120 * tk
				end
			end,
	draw	= function( self )
			love.graphics.setColor( 255, 255, 255 )
			for _,bullet in pairs( self.bullets ) do
				love.graphics.circle( 'fill', bullet.x, bullet.y, 1 )
				end
			end,
	contact	= function( self, enemies, explosion )
				for i,e in ipairs( enemies.number ) do
					for ib,b in pairs( self.bullets ) do
						if b.y <= e.y + e.height and b.x > e.x and b.x < e.x + e.width and b.y>0 then
							love.audio.rewind( enemies.mortesound )
							love.audio.play( enemies.mortesound )
							table.remove( enemies.number, i )
							table.remove( self.bullets, ib )
							explosion:hit( b.x, b.y )
							self.hit = self.hit + 1
							end
						end
					end
				end
	}
return bullet
